package com.heyu.api.baidu.handle.certificate;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.certificate.BFoodProductLicenseRequest;
import com.heyu.api.data.annotation.CustomPath;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740323565114#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8D%A1%E8%AF%81OCR&api=rest%2F2.0%2Focr%2Fv1%2Ffood_product_license&method=post
 * <p>
 * <p>
 * 食品生产许可证识别
 */
@Component
@Slf4j
@CustomPath("foodProductLicense")
public class BFoodProductLicenseHandle extends BaiduBaseHandle<BFoodProductLicenseRequest, Map> {
    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/food_product_license";
    }

    @Override
    public String check(BFoodProductLicenseRequest bFoodProductLicenseRequest) {

        return checkPdf(bFoodProductLicenseRequest);
    }

    @Override
    public String getContent(BFoodProductLicenseRequest bFoodProductLicenseRequest) {
        return getPdfContent(bFoodProductLicenseRequest).toString();
    }
}
